.. Encoding documentation master file

:github_url: https://github.com/zhanghang1989/PyTorch-Encoding

Encoding Documentation
======================

Created by `Hang Zhang <http://hangzh.com/>`_

An optimized PyTorch package with CUDA backend. 

.. note::
    Please checkout the PyTorch compatible Synchronized Cross-GPU :class:`encoding.nn.BatchNorm2d` and the `mnist example <https://github.com/zhanghang1989/PyTorch-SyncBatchNorm>`_.

.. toctree::
   :glob:
   :maxdepth: 1
   :caption: Notes

   notes/*

.. toctree::
   :glob:
   :maxdepth: 1
   :caption: Experiment Systems

   experiments/*

.. toctree::
   :maxdepth: 1
   :caption: Package Reference

   encoding
   syncbn
   parallel
   dilated
   functions
   utils

Indices and tables
==================

* :ref:`genindex`
* :ref:`modindex`
